<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_rt_2024-11-01.xsd#rol_CTELabel" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Chemical</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Chemical, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label" xlink:role="http://www.xbrl.org/2003/role/label">Customer-related assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Customer-related assets-IA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBT-RSTextBlock</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBT-RSTextBlock [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label" xlink:role="http://www.xbrl.org/2003/role/label">Exporting notes receivable discounted</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Exporting notes receivable discounted</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain(loss ) on liquidation of subsidiaries and associates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain(loss ) on liquidation of subsidiaries and associates-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on liquidation or reorganization of subsidiaries and affiliates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on liquidation or reorganization of subsidiaries and affiliates-EI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label" xlink:role="http://www.xbrl.org/2003/role/label">Impairment loss</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Impairment loss, Disclosure of impairment loss on non-current assets for each reportable segment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Inohara, Nobuyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Inohara, Nobuyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Machinery</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Machinery, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NodaHirokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Noda, Hiroko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NodaHirokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Noda, Hiroko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label" xlink:role="http://www.xbrl.org/2003/role/label">Non-monetary remuneration</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Non-monetary remuneration</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding gain on liquidation or reorganization of subsidiaries and affiliate</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding gain on liquidation or reorganization of subsidiaries and affiliate [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding loss on disposal of non-current assets</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding loss on disposal of non-current assets[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding repurchase obligation due to liquidation of accounts receivable</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding repurchase obligation due to liquidation of accounts receivable[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label" xlink:role="http://www.xbrl.org/2003/role/label">Purchase of treasury shares by stock ownership plan trust</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Purchase of treasury shares by stock ownership plan trust</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sakota, Tatsuyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sakota, Tatsuyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sawano, Masaaki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sawano, Masaaki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SekineChizuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sekine, Chizu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SekineChizuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sekine, Chizu [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Shareholder</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Shareholder expenses-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Suzuki, Hiromasa</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Suzuki, Hiromasa [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Textile</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Textile, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Touge, Kazuhiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Touge, Kazuhiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label" xlink:role="http://www.xbrl.org/2003/role/label">Transfer of treasury shares to stock ownership plan trust</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Transfer of treasury shares to stock ownership plan trust</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yabu, Shigemasa</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yabu, Shigemasa [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yoshida, Hiroshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yoshida, Hiroshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_BuildingsAndStructuresNet_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label">structures</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_BuildingsAndStructuresNet" xlink:label="jppfs_cor_BuildingsAndStructuresNet" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" xlink:label="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" xlink:label="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" xlink:label="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" xlink:label="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" xlink:label="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" xlink:label="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" xlink:label="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" xlink:label="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" xlink:label="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NodaHirokoMember" xlink:label="jpcrp030000-asr_E02509-000_NodaHirokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" xlink:label="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" xlink:label="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" xlink:label="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" xlink:label="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SawanoMasaakiMember" xlink:label="jpcrp030000-asr_E02509-000_SawanoMasaakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SekineChizuMember" xlink:label="jpcrp030000-asr_E02509-000_SekineChizuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" xlink:label="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" xlink:label="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" xlink:label="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_TougeKazuhiroMember" xlink:label="jpcrp030000-asr_E02509-000_TougeKazuhiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" xlink:label="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_YabuShigemasaMember" xlink:label="jpcrp030000-asr_E02509-000_YabuShigemasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02509-000_2025-03-31_01_2025-06-13.xsd#jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" xlink:label="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_ChemicalReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" xlink:to="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA" xlink:to="jpcrp030000-asr_E02509-000_CustomerRelatedAssetsIA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" xlink:to="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock" xlink:to="jpcrp030000-asr_E02509-000_ExpenditureByTheAcquisitionOfTheTreasuryStockWithTheIntroductionOfTheStocksPaymentTrustBBTRSTextBlockTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" xlink:to="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted" xlink:to="jpcrp030000-asr_E02509-000_ExportingNotesReceivableDiscounted_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" xlink:to="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF" xlink:to="jpcrp030000-asr_E02509-000_GainLossOnLiquidationOfSubsidiariesAndAssociatesOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" xlink:to="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI" xlink:to="jpcrp030000-asr_E02509-000_GainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliatesEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" xlink:to="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment" xlink:to="jpcrp030000-asr_E02509-000_ImpairmentLossDisclosureOfImpairmentLossOnNonCurrentAssetsForEachReportableSegment_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_InoharaNobuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_MachineryReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NodaHirokoMember" xlink:to="jpcrp030000-asr_E02509-000_NodaHirokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NodaHirokoMember" xlink:to="jpcrp030000-asr_E02509-000_NodaHirokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" xlink:to="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration" xlink:to="jpcrp030000-asr_E02509-000_NonMonetaryRemuneration_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingGainOnLiquidationOrReorganizationOfSubsidiariesAndAffiliateTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingLossOnDisposalOfNonCurrentAssetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock" xlink:to="jpcrp030000-asr_E02509-000_NotesRegardingRepurchaseObligationDueToLiquidationOfAccountsReceivableTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_PurchaseOfTreasurySharesByStockOwnershipPlanTrust_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember" xlink:to="jpcrp030000-asr_E02509-000_SakotaTatsuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SawanoMasaakiMember" xlink:to="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SawanoMasaakiMember" xlink:to="jpcrp030000-asr_E02509-000_SawanoMasaakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SekineChizuMember" xlink:to="jpcrp030000-asr_E02509-000_SekineChizuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SekineChizuMember" xlink:to="jpcrp030000-asr_E02509-000_SekineChizuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" xlink:to="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA" xlink:to="jpcrp030000-asr_E02509-000_ShareholderExpensesSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" xlink:to="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember" xlink:to="jpcrp030000-asr_E02509-000_SuzukiHiromasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember" xlink:to="jpcrp030000-asr_E02509-000_TextileReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TougeKazuhiroMember" xlink:to="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TougeKazuhiroMember" xlink:to="jpcrp030000-asr_E02509-000_TougeKazuhiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust" xlink:to="jpcrp030000-asr_E02509-000_TransferOfTreasurySharesToStockOwnershipPlanTrust_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YabuShigemasaMember" xlink:to="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YabuShigemasaMember" xlink:to="jpcrp030000-asr_E02509-000_YabuShigemasaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" xlink:to="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember" xlink:to="jpcrp030000-asr_E02509-000_YoshidaHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_BuildingsAndStructuresNet" xlink:to="jppfs_cor_BuildingsAndStructuresNet_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>